Changeset 1437 for ThirdParty/Blas


Ignore:
Timestamp:
Nov 1, 2009 12:14:56 PM (10 years ago)
Author:
stefan
Message:

rerun autotools

Location:
ThirdParty/Blas/branches/BSPsplit
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Blas/branches/BSPsplit/Makefile.in

    r1396 r1437  
    130130AUX_DIR = @AUX_DIR@
    131131AWK = @AWK@
     132BLASDATADIR = @BLASDATADIR@
    132133BLASDOCDIR = @BLASDOCDIR@
     134BLASINSTDIR = @BLASINSTDIR@
    133135BLASOBJDIR = @BLASOBJDIR@
    134136BLASSRCDIR = @BLASSRCDIR@
     
    139141CFLAGS = @CFLAGS@
    140142COIN_HAS_BLAS_FALSE = @COIN_HAS_BLAS_FALSE@
     143COIN_HAS_BLAS_PREINSTALLED_FALSE = @COIN_HAS_BLAS_PREINSTALLED_FALSE@
     144COIN_HAS_BLAS_PREINSTALLED_TRUE = @COIN_HAS_BLAS_PREINSTALLED_TRUE@
    141145COIN_HAS_BLAS_TRUE = @COIN_HAS_BLAS_TRUE@
    142146CPP = @CPP@
     
    255259thirdpartylibdir = $(prefix)/lib/ThirdParty
    256260thirdpartylib_LTLIBRARIES = libcoinblas.la
    257 pkgconfiglibdir = $(prefix)/lib/ThirdParty/pkgconfig
    258 pkgconfiglib_DATA = blas.pc
    259261libcoinblas_la_SOURCES = \
    260262        dasum.f \
     
    299301addlibsdir = $(prefix)/share/doc/coin/ThirdParty/Blas
    300302addlibs_DATA = blas_addlibs.txt README
     303pkgconfiglibdir = $(prefix)/lib/ThirdParty/pkgconfig
     304pkgconfiglib_DATA = blas.pc
    301305
    302306########################################################################
  • ThirdParty/Blas/branches/BSPsplit/configure

    r1396 r1437  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS BLASSRCDIR BLASOBJDIR BLASDOCDIR COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS BLASSRCDIR BLASOBJDIR BLASDOCDIR BLASDATADIR BLASINSTDIR COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_HAS_BLAS_PREINSTALLED_TRUE COIN_HAS_BLAS_PREINSTALLED_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11001100  --with-tags[=TAGS]
    11011101                          include additional configurations [automatic]
     1102  --with-blas-instdir prefix of installation directory for precompiled Blas
     1103                          package
     1104  --with-blas-srcdir source directory for Blas package
     1105  --with-blas-objdir object directory for Blas package (if different from
     1106                          source directory in VPATH compilation)
     1107  --with-coin-instdir     prefix of installation directory for precompiled
     1108                          COIN packages
    11021109
    11031110Some influential environment variables:
     
    15951602ADDLIBS="-lm $LIBS"
    15961603
    1597 
    1598 # As backup, we make sure we don't loose an FLIBS if it has been set
    1599 # by the user
    1600 save_FLIBS="$FLIBS"
    16011604
    16021605# Initialize the FADDLIBS variable (which is to be used with a fortran
     
    32913294
    32923295# Provide some information about the compiler.
    3293 echo "$as_me:3293:" \
     3296echo "$as_me:3296:" \
    32943297     "checking for Fortran 77 compiler version" >&5
    32953298ac_compiler=`set X $ac_compile; echo $2`
     
    54405443*-*-irix6*)
    54415444  # Find out which ABI we are using.
    5442   echo '#line 5442 "configure"' > conftest.$ac_ext
     5445  echo '#line 5445 "configure"' > conftest.$ac_ext
    54435446  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    54445447  (eval $ac_compile) 2>&5
     
    78697872   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78707873   -e 's:$: $lt_compiler_flag:'`
    7871    (eval echo "\"\$as_me:7871: $lt_compile\"" >&5)
     7874   (eval echo "\"\$as_me:7874: $lt_compile\"" >&5)
    78727875   (eval "$lt_compile" 2>conftest.err)
    78737876   ac_status=$?
    78747877   cat conftest.err >&5
    7875    echo "$as_me:7875: \$? = $ac_status" >&5
     7878   echo "$as_me:7878: \$? = $ac_status" >&5
    78767879   if (exit $ac_status) && test -s "$ac_outfile"; then
    78777880     # The compiler can only warn and ignore the option if not recognized
     
    81378140   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81388141   -e 's:$: $lt_compiler_flag:'`
    8139    (eval echo "\"\$as_me:8139: $lt_compile\"" >&5)
     8142   (eval echo "\"\$as_me:8142: $lt_compile\"" >&5)
    81408143   (eval "$lt_compile" 2>conftest.err)
    81418144   ac_status=$?
    81428145   cat conftest.err >&5
    8143    echo "$as_me:8143: \$? = $ac_status" >&5
     8146   echo "$as_me:8146: \$? = $ac_status" >&5
    81448147   if (exit $ac_status) && test -s "$ac_outfile"; then
    81458148     # The compiler can only warn and ignore the option if not recognized
     
    82418244   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82428245   -e 's:$: $lt_compiler_flag:'`
    8243    (eval echo "\"\$as_me:8243: $lt_compile\"" >&5)
     8246   (eval echo "\"\$as_me:8246: $lt_compile\"" >&5)
    82448247   (eval "$lt_compile" 2>out/conftest.err)
    82458248   ac_status=$?
    82468249   cat out/conftest.err >&5
    8247    echo "$as_me:8247: \$? = $ac_status" >&5
     8250   echo "$as_me:8250: \$? = $ac_status" >&5
    82488251   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    82498252   then
     
    1058610589  lt_status=$lt_dlunknown
    1058710590  cat > conftest.$ac_ext <<EOF
    10588 #line 10588 "configure"
     10591#line 10591 "configure"
    1058910592#include "confdefs.h"
    1059010593
     
    1068610689  lt_status=$lt_dlunknown
    1068710690  cat > conftest.$ac_ext <<EOF
    10688 #line 10688 "configure"
     10691#line 10691 "configure"
    1068910692#include "confdefs.h"
    1069010693
     
    1303013033   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1303113034   -e 's:$: $lt_compiler_flag:'`
    13032    (eval echo "\"\$as_me:13032: $lt_compile\"" >&5)
     13035   (eval echo "\"\$as_me:13035: $lt_compile\"" >&5)
    1303313036   (eval "$lt_compile" 2>conftest.err)
    1303413037   ac_status=$?
    1303513038   cat conftest.err >&5
    13036    echo "$as_me:13036: \$? = $ac_status" >&5
     13039   echo "$as_me:13039: \$? = $ac_status" >&5
    1303713040   if (exit $ac_status) && test -s "$ac_outfile"; then
    1303813041     # The compiler can only warn and ignore the option if not recognized
     
    1313413137   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1313513138   -e 's:$: $lt_compiler_flag:'`
    13136    (eval echo "\"\$as_me:13136: $lt_compile\"" >&5)
     13139   (eval echo "\"\$as_me:13139: $lt_compile\"" >&5)
    1313713140   (eval "$lt_compile" 2>out/conftest.err)
    1313813141   ac_status=$?
    1313913142   cat out/conftest.err >&5
    13140    echo "$as_me:13140: \$? = $ac_status" >&5
     13143   echo "$as_me:13143: \$? = $ac_status" >&5
    1314113144   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1314213145   then
     
    1470414707   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1470514708   -e 's:$: $lt_compiler_flag:'`
    14706    (eval echo "\"\$as_me:14706: $lt_compile\"" >&5)
     14709   (eval echo "\"\$as_me:14709: $lt_compile\"" >&5)
    1470714710   (eval "$lt_compile" 2>conftest.err)
    1470814711   ac_status=$?
    1470914712   cat conftest.err >&5
    14710    echo "$as_me:14710: \$? = $ac_status" >&5
     14713   echo "$as_me:14713: \$? = $ac_status" >&5
    1471114714   if (exit $ac_status) && test -s "$ac_outfile"; then
    1471214715     # The compiler can only warn and ignore the option if not recognized
     
    1480814811   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1480914812   -e 's:$: $lt_compiler_flag:'`
    14810    (eval echo "\"\$as_me:14810: $lt_compile\"" >&5)
     14813   (eval echo "\"\$as_me:14813: $lt_compile\"" >&5)
    1481114814   (eval "$lt_compile" 2>out/conftest.err)
    1481214815   ac_status=$?
    1481314816   cat out/conftest.err >&5
    14814    echo "$as_me:14814: \$? = $ac_status" >&5
     14817   echo "$as_me:14817: \$? = $ac_status" >&5
    1481514818   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1481614819   then
     
    1701517018   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1701617019   -e 's:$: $lt_compiler_flag:'`
    17017    (eval echo "\"\$as_me:17017: $lt_compile\"" >&5)
     17020   (eval echo "\"\$as_me:17020: $lt_compile\"" >&5)
    1701817021   (eval "$lt_compile" 2>conftest.err)
    1701917022   ac_status=$?
    1702017023   cat conftest.err >&5
    17021    echo "$as_me:17021: \$? = $ac_status" >&5
     17024   echo "$as_me:17024: \$? = $ac_status" >&5
    1702217025   if (exit $ac_status) && test -s "$ac_outfile"; then
    1702317026     # The compiler can only warn and ignore the option if not recognized
     
    1728317286   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1728417287   -e 's:$: $lt_compiler_flag:'`
    17285    (eval echo "\"\$as_me:17285: $lt_compile\"" >&5)
     17288   (eval echo "\"\$as_me:17288: $lt_compile\"" >&5)
    1728617289   (eval "$lt_compile" 2>conftest.err)
    1728717290   ac_status=$?
    1728817291   cat conftest.err >&5
    17289    echo "$as_me:17289: \$? = $ac_status" >&5
     17292   echo "$as_me:17292: \$? = $ac_status" >&5
    1729017293   if (exit $ac_status) && test -s "$ac_outfile"; then
    1729117294     # The compiler can only warn and ignore the option if not recognized
     
    1738717390   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1738817391   -e 's:$: $lt_compiler_flag:'`
    17389    (eval echo "\"\$as_me:17389: $lt_compile\"" >&5)
     17392   (eval echo "\"\$as_me:17392: $lt_compile\"" >&5)
    1739017393   (eval "$lt_compile" 2>out/conftest.err)
    1739117394   ac_status=$?
    1739217395   cat out/conftest.err >&5
    17393    echo "$as_me:17393: \$? = $ac_status" >&5
     17396   echo "$as_me:17396: \$? = $ac_status" >&5
    1739417397   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1739517398   then
     
    2028920292}
    2029020293
    20291 echo "$as_me:$LINENO: checking for COIN project Blas" >&5
    20292 echo $ECHO_N "checking for COIN project Blas... $ECHO_C" >&6
    20293 
     20294echo "$as_me:$LINENO: checking for COIN project Blas in " >&5
     20295echo $ECHO_N "checking for COIN project Blas in ... $ECHO_C" >&6
    2029420296# First check, if the sub-project is actually available (ToDo: allow
    2029520297# other locations)
    2029620298
    20297 coin_has_blas=unavailable
     20299#replace backslashes by underscore
     20300#m4_define([escape], m4_bpatsubsts([Blas],[/],[_]))
     20301
     20302coin_has_blas=notGiven
    2029820303if test x"$COIN_SKIP_PROJECTS" != x; then
    2029920304  for dir in $COIN_SKIP_PROJECTS; do
     
    2030420309fi
    2030520310
     20311
     20312
     20313
     20314
     20315
     20316BLASSRCDIR=This_Variable_Is_Not_Set
     20317BLASOBJDIR=This_Variable_Is_Not_Set
     20318BLASDOCDIR=This_Variable_Is_Not_Set
     20319BLASDATADIR=This_Variable_Is_Not_Set
     20320BLASINSTDIR=This_Variable_Is_Not_Set
     20321
    2030620322if test $coin_has_blas != skipping; then
    2030720323  if test $PACKAGE_TARNAME = blas; then
    2030820324    coin_has_blas=.
    2030920325  else
    20310     if test -d $srcdir/../Blas; then
    20311       coin_has_blas=../Blas
     20326
     20327# Check whether --with-m4_tolower(Blas)-instdir or --without-m4_tolower(Blas)-instdir was given.
     20328if test "${with_blas_instdir+set}" = set; then
     20329  withval="$with_blas_instdir"
     20330  coin_has_blas=installed
     20331                 if test -d "$withval"; then : ; else
     20332                   { { echo "$as_me:$LINENO: error: argument for --with-blas-instdir not a directory" >&5
     20333echo "$as_me: error: argument for --with-blas-instdir not a directory" >&2;}
     20334   { (exit 1); exit 1; }; }
     20335                 fi
     20336                 BLASINSTDIR=`cd $withval; pwd`
     20337fi;
     20338
     20339
     20340# Check whether --with-m4_tolower(Blas)-srcdir or --without-m4_tolower(Blas)-srcdir was given.
     20341if test "${with_blas_srcdir+set}" = set; then
     20342  withval="$with_blas_srcdir"
     20343  if test "$coin_has_blas" = installed; then
     20344                   { { echo "$as_me:$LINENO: error: --with-$blas-srcdir cannot be given together with --with-blas-instdir" >&5
     20345echo "$as_me: error: --with-$blas-srcdir cannot be given together with --with-blas-instdir" >&2;}
     20346   { (exit 1); exit 1; }; }
     20347                 fi
     20348                 if test -d "$withval"; then : ; else
     20349                   { { echo "$as_me:$LINENO: error: argument for --with-blas-srcdir not a directory" >&5
     20350echo "$as_me: error: argument for --with-blas-srcdir not a directory" >&2;}
     20351   { (exit 1); exit 1; }; }
     20352                 fi
     20353                 coin_has_blas=$withval
     20354                 BLASSRCDIR=`cd $withval; pwd`
     20355fi;
     20356
     20357
     20358# Check whether --with-m4_tolower(Blas)-objdir or --without-m4_tolower(Blas)-objdir was given.
     20359if test "${with_blas_objdir+set}" = set; then
     20360  withval="$with_blas_objdir"
     20361  if test "$coin_has_blas" = installed; then
     20362                   { { echo "$as_me:$LINENO: error: --with-blas-objdir cannot be given together with --with-blas-instdir" >&5
     20363echo "$as_me: error: --with-blas-objdir cannot be given together with --with-blas-instdir" >&2;}
     20364   { (exit 1); exit 1; }; }
     20365                 fi
     20366                 if test "$coin_has_blas" = notGiven; then
     20367                   { { echo "$as_me:$LINENO: error: --with-blas-objdir must be accompanied by --with-blas-srcdir" >&5
     20368echo "$as_me: error: --with-blas-objdir must be accompanied by --with-blas-srcdir" >&2;}
     20369   { (exit 1); exit 1; }; }
     20370                 fi
     20371                 if test -d "$withval"; then : ; else
     20372                   { { echo "$as_me:$LINENO: error: argument for --with-blas-objdir not a directory" >&5
     20373echo "$as_me: error: argument for --with-blas-objdir not a directory" >&2;}
     20374   { (exit 1); exit 1; }; }
     20375                 fi
     20376                 BLASOBJDIR=`cd $withval; pwd`
     20377else
     20378  BLASOBJDIR="$BLASSRCDIR"
     20379fi;
     20380
     20381    # if we still don't have a location, check for generic flag
     20382    if test "$coin_has_blas" = notGiven; then
     20383
     20384# Check whether --with-coin-instdir or --without-coin-instdir was given.
     20385if test "${with_coin_instdir+set}" = set; then
     20386  withval="$with_coin_instdir"
     20387  if test -d "$withval"; then : ; else
     20388                     { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     20389echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     20390   { (exit 1); exit 1; }; }
     20391                   fi
     20392                   if test -r $withval/share/doc/coin/Blas/README;
     20393
     20394                   then
     20395                     coin_has_blas=installed
     20396                     BLASINSTDIR=`cd $withval; pwd`
     20397                   fi
     20398fi;
     20399    fi
     20400
     20401    # check if project can be found in /Blas
     20402    # this is for the classic setup when this macro is called from AC_COIN_MAIN_SUBDIR
     20403    fulldir=Blas
     20404
     20405    if test "$coin_has_blas" = notGiven; then
     20406      if test -d $srcdir/$fulldir; then
     20407         coin_has_blas=$fulldir
     20408
     20409
     20410      fi
     20411    fi
     20412
     20413    # check if project can be found in ..//Blas
     20414    # this is for the classic setup when this macro is called from the project main directory
     20415    fulldir=../Blas
     20416
     20417    if test "$coin_has_blas" = notGiven; then
     20418      if test -d $srcdir/$fulldir; then
     20419         coin_has_blas=$fulldir
     20420
     20421
     20422      fi
    2031220423    fi
    2031320424  fi
    2031420425fi
    2031520426
    20316 if test $coin_has_blas != unavailable &&
     20427if test $coin_has_blas != notGiven &&
    2031720428   test $coin_has_blas != skipping; then
    2031820429  # Set the #define if the component is available
     
    2032320434
    2032420435
    20325   # Set the variables for source and object code location
    20326 
    20327   BLASSRCDIR=`cd $srcdir/$coin_has_blas; pwd`
    20328 
    20329   BLASOBJDIR=`pwd`/$coin_has_blas
    20330 
    20331   BLASDOCDIR=$abs_lib_dir/../share/doc/coin/Blas
    20332 fi
    20333 
    20334   # Define the Makefile conditional
    20335 
    20336 
    20337 if test $coin_has_blas != unavailable &&
     20436  if test $coin_has_blas = installed; then
     20437    BLASDOCDIR=$BLASINSTDIR/share/doc/coin/Blas
     20438       BLASDATADIR=$BLASINSTDIR/share/coin/Blas
     20439
     20440  else
     20441    if test "$BLASOBJDIR" = This_Variable_Is_Not_Set; then
     20442      # Set the variables for source and object code location
     20443      BLASSRCDIR=`cd $srcdir/$coin_has_blas; pwd`
     20444      BLASOBJDIR=`pwd`/$coin_has_blas
     20445      BLASDOCDIR=$abs_lib_dir/../share/doc/coin/Blas
     20446
     20447      BLASDATADIR=$BLASOBJDIR
     20448    else
     20449      # This is just a guess:
     20450      BLASDOCDIR=$BLASOBJDIR/../share/doc/coin/Blas
     20451         BLASDATADIR=$BLASOBJDIR/../share/coin/Blas
     20452
     20453    fi
     20454  fi
     20455fi
     20456
     20457# Define the Makefile conditional
     20458
     20459
     20460if test $coin_has_blas != notGiven &&
    2033820461                test $coin_has_blas != skipping; then
    2033920462  COIN_HAS_BLAS_TRUE=
     
    2034420467fi
    2034520468
    20346 echo "$as_me:$LINENO: result: $coin_has_blas" >&5
     20469
     20470
     20471if test $coin_has_blas = installed; then
     20472  COIN_HAS_BLAS_PREINSTALLED_TRUE=
     20473  COIN_HAS_BLAS_PREINSTALLED_FALSE='#'
     20474else
     20475  COIN_HAS_BLAS_PREINSTALLED_TRUE='#'
     20476  COIN_HAS_BLAS_PREINSTALLED_FALSE=
     20477fi
     20478
     20479
     20480if test $coin_has_blas = installed; then
     20481  echo "$as_me:$LINENO: result: installed in $BLASINSTDIR" >&5
     20482echo "${ECHO_T}installed in $BLASINSTDIR" >&6
     20483  if test -r $BLASINSTDIR/share/doc/coin/Blas/README; then
     20484
     20485  :
     20486else
     20487  { { echo "$as_me:$LINENO: error: $BLASINSTDIR/share/doc/coin/Blas/README should be available if Blas is installed" >&5
     20488echo "$as_me: error: $BLASINSTDIR/share/doc/coin/Blas/README should be available if Blas is installed" >&2;}
     20489   { (exit 1); exit 1; }; }
     20490  :
     20491fi
     20492
     20493
     20494
     20495else
     20496  echo "$as_me:$LINENO: result: $coin_has_blas" >&5
    2034720497echo "${ECHO_T}$coin_has_blas" >&6
     20498  if test $coin_has_blas != notGiven &&
     20499     test $coin_has_blas != skipping; then
     20500    echo "$as_me:$LINENO: checking for source code location of Blas" >&5
     20501echo $ECHO_N "checking for source code location of Blas... $ECHO_C" >&6
     20502    echo "$as_me:$LINENO: result: $BLASSRCDIR" >&5
     20503echo "${ECHO_T}$BLASSRCDIR" >&6
     20504    echo "$as_me:$LINENO: checking for object code location of Blas" >&5
     20505echo $ECHO_N "checking for object code location of Blas... $ECHO_C" >&6
     20506    echo "$as_me:$LINENO: result: $BLASOBJDIR" >&5
     20507echo "${ECHO_T}$BLASOBJDIR" >&6
     20508  fi
     20509fi
    2034820510
    2034920511
     
    2058920751Usually this means the macro was only invoked conditionally." >&5
    2059020752echo "$as_me: error: conditional \"COIN_HAS_BLAS\" was never defined.
     20753Usually this means the macro was only invoked conditionally." >&2;}
     20754   { (exit 1); exit 1; }; }
     20755fi
     20756if test -z "${COIN_HAS_BLAS_PREINSTALLED_TRUE}" && test -z "${COIN_HAS_BLAS_PREINSTALLED_FALSE}"; then
     20757  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_BLAS_PREINSTALLED\" was never defined.
     20758Usually this means the macro was only invoked conditionally." >&5
     20759echo "$as_me: error: conditional \"COIN_HAS_BLAS_PREINSTALLED\" was never defined.
    2059120760Usually this means the macro was only invoked conditionally." >&2;}
    2059220761   { (exit 1); exit 1; }; }
     
    2122121390s,@BLASOBJDIR@,$BLASOBJDIR,;t t
    2122221391s,@BLASDOCDIR@,$BLASDOCDIR,;t t
     21392s,@BLASDATADIR@,$BLASDATADIR,;t t
     21393s,@BLASINSTDIR@,$BLASINSTDIR,;t t
    2122321394s,@COIN_HAS_BLAS_TRUE@,$COIN_HAS_BLAS_TRUE,;t t
    2122421395s,@COIN_HAS_BLAS_FALSE@,$COIN_HAS_BLAS_FALSE,;t t
     21396s,@COIN_HAS_BLAS_PREINSTALLED_TRUE@,$COIN_HAS_BLAS_PREINSTALLED_TRUE,;t t
     21397s,@COIN_HAS_BLAS_PREINSTALLED_FALSE@,$COIN_HAS_BLAS_PREINSTALLED_FALSE,;t t
    2122521398s,@LIBEXT@,$LIBEXT,;t t
    2122621399s,@VPATH_DISTCLEANFILES@,$VPATH_DISTCLEANFILES,;t t
Note: See TracChangeset for help on using the changeset viewer.